Problem opening a local psychopy file in other computers

I created my experiments on psychopy on my personal computer. Then I transferred this project to other computers in the lab. Nevertheless, it won’t open the file. This was not the case for another psychopy file. In other words, I was able to run it on lab computers without problems.
Then I opened the new file with the open tab in psychopy builder. Then it opened the file with this error:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 304, in wrapped_f
return f(*args, **kwargs)
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\mixins.py”, line 112, in get
server_data = self.gitlab.http_get(path, **kwargs)
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\client.py”, line 662, in http_get
result = self.http_request(
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\client.py”, line 628, in http_request
raise gitlab.exceptions.GitlabHttpError(
gitlab.exceptions.GitlabHttpError: 404: 404 Project Not Found

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\builder.py”, line 735, in fileOpen
self.project = pavlovia.getProject(filename)
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 1253, in getProject
project = session.gitlab.projects.get(name)
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\v4\objects\projects.py”, line 782, in get
return cast(Project, super().get(id=id, lazy=lazy, **kwargs))
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 306, in wrapped_f
raise error(e.error_message, e.response_code, e.response_body) from e
gitlab.exceptions.GitlabGetError: 404: 404 Project Not Found

I clicked ok for this error. Then I tried running the experiment. And it did run. But still I cannot open the file directly. I have to open it through open tab. I do not know much about coding etc. So I could not understand what is written here. What does this mean, and how can I solve this problem?

If you want to point to the same Pavlovia experiment from multiple computers then you should download the files by syncing from Builder, rather than copy the local files.

https://psychopy.org/online/sharingExperiments.html

Thank you for the response, I will try this.
One thing though is that this was not a problem for another experiment that I conducted. I tperfectly worked.

By the way, it worked, thank you. I also forgot to make the experiment public. I think this might be the main problem since I did not encounter such a problem for the first experiment.
Thanks again
Best wishes

Aziz